## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate ybaas

Name:           rust-ybaas
Version:        0.0.19
Release:        %autorelease
Summary:        Yubibomb as a service

License:        GPL-3.0-only
URL:            https://crates.io/crates/ybaas
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * migrate away from deprecated SPDX license identifier:
#   https://github.com/bowlofeggs/ybaas/pull/103
Patch:          ybaas-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Don't you love when you accidentally tap your Yubikey when you have your
IRC client in focus and you send 987947 into Libera? Want to be able to
have that experience without having to reach all the way over to your
laptop's USB port? Don't want the complexity of installing and using the
yubibomb CLI tool? Now you can use yubibomb as a service!}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# GPL-3.0-only
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-only AND BSD-3-Clause AND MIT AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/ybaas

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jan 12 2025 Fabio Valentini <decathorpe@gmail.com> - 0.0.19-2
- Migrate away from deprecated SPDX license identifier

* Fri Aug 09 2024 Fabio Valentini <decathorpe@gmail.com> - 0.0.19-1
- Update to version 0.0.19; Fixes RHBZ#2302998

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.0.17-3
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.0.17-1
- Update to version 0.0.17; Fixes RHBZ#2238231

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.0.16-1
- Update to version 0.0.16; Fixes RHBZ#2062063

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.0.10-7
- Rebuild with h2 >= v0.3.18 and tokio >= v1.24.2
  (RUSTSEC-2023-{0005,0034})

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.0.10-6
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.10-3
- Rebuild with package notes

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.0.10-1
- Update to version 0.0.10; Fixes RHBZ#2001180

* Sat Aug 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.0.8-1
- Update to version 0.0.8.
- Fixes RHBZ#1997859

* Thu Jul 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.0.7-1
- Update to version 0.0.7.
- Fixes RHBZ#1979789

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.0.6-1
- Update to version 0.0.6.
- Fixes RHBZ#1964215

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.0.5-1
- Update to version 0.0.5.
- Fixes RHBZ#1931253

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.0.2-1
- Update to 0.0.2

* Thu Feb 13 2020 Josh Stone <jistone@redhat.com> - 0.0.1-4
- Upgrade to warp 0.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.1-1
- Initial package

## END: Generated by rpmautospec
